### Method

# Gimp DrawableFilter set_opacity

since: 3.0

#### Declaration [src]

    void
    gimp_drawable_filter_set_opacity (
      GimpDrawableFilter* filter,
      gdouble opacity
    )

#### Description [src]

This procedure sets the opacity of `filter` on a range from 0.0 (transparent) to 1.0 (opaque).

The change is not synced immediately with the core application. Use `gimp_drawable_update()` to trigger an actual update.

Available since: 3.0

#### Parameters

`opacity`

  Type: `gdouble`

  The opacity.